#pragma once

#include <QMainWindow>
#include "TaskOrder.h"
#include "LAMPWBDDManager.h"


namespace Ui {
	class LAMPTaskManagerMainWindowsClass;
}


namespace WBFZTASK {
	class LAMPTaskManagerMainWindows : public QMainWindow
	{
		Q_OBJECT

	public:
		LAMPTaskManagerMainWindows(QWidget* parent = nullptr);
		~LAMPTaskManagerMainWindows();

	public :
		void ClearTable();
		void ShowTable();


	public slots:
		void updateTaskListCollect(WBTASKSAPIREQURSTSTATE state, QString message);
		void on_clicked_pushButton_Search();
		void on_clicked_pushButton_ShowTask();
		void on_clicked_pushButton_LastPage();
		void on_clicked_pushButton_NextPage();
		void on_clicked_pushButton_submitResult();

	private:
		QString LoginName;
		LAMPWBCONNECT::LAMPWBDDManager* connectmanager;

	private:
		Ui::LAMPTaskManagerMainWindowsClass* ui;
	};
}